org.apache.maven.shared.repository.model

## Interface RepositoryInfo

All Known Implementing Classes:
  DefaultRepositoryInfo

    public interface RepositoryInfo

### Method Summary

All Methods Instance Methods Abstract Methods
`List` `getExcludes()`
`List` `getGroupVersionAlignments()`
`List` `getIncludes()`
`String` `getScope()`
`boolean` `isIncludeMetadata()`

### Method Detail

#### getGroupVersionAlignments

    List getGroupVersionAlignments()

#### isIncludeMetadata

    boolean isIncludeMetadata()

#### getScope

    String getScope()

#### getIncludes

    List getIncludes()

#### getExcludes

    List getExcludes()